Moneybird logo
Moneybird API

Workflows

Workflows determine the settings of the invoice and estimate workflow. Use the following to get information about the workflows in an administration.


Get a workflow by id

GET
https://moneybird.com/api/v2
/{administration_id}/workflows/{id}{format}

Returns all information about a workflow.

Required scope(s)

Any of: settings, sales_invoices, documents, estimates or bank

Get a workflow by id › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Get a workflow by id › Responses

A workflow

id
​identifier · pattern: ^\d+$

A unique record identifier

administration_id
​administration_id · pattern: ^\d+$

A unique record identifier

type
​string
name
​string
default
​boolean
currency
​string
language
​string
active
​boolean
prices_are_incl_tax
​boolean
payment_methods
​array | null
collection_method
​string | null
number_of_collections
​integer
show_qr_code
​boolean
created_at
​timestamp · date-time
updated_at
​timestamp · date-time

Retrieve available workflows

GET
https://moneybird.com/api/v2
/{administration_id}/workflows{format}

Returns a list of all the workflows of an administration.

Required scope(s)

Any of: settings, sales_invoices, documents, estimates or bank

Retrieve available workflows › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Retrieve available workflows › Responses

200

A list of workflows

id
​identifier · pattern: ^\d+$

A unique record identifier

administration_id
​administration_id · pattern: ^\d+$

A unique record identifier

type
​string
name
​string
default
​boolean
currency
​string
language
​string
active
​boolean
prices_are_incl_tax
​boolean
payment_methods
​array | null
collection_method
​string | null
number_of_collections
​integer
show_qr_code
​boolean
created_at
​timestamp · date-time
updated_at
​timestamp · date-time